package configYaml

import (
	"goutil/logUtilPlus"
)

// LogMgrConfig
//
//	@description: logMgr配置对象
type LogMgrConfig struct {
	// 组id
	GroupId string

	// 组秘钥
	GroupSecret string

	// 项目id
	ProductId string
}

var (
	// logMgr配置对象
	logMgrConfigObj *LogMgrConfig
)

// initLogMgrConfig
//
//	@description: 初始化LogMgr配置
//
// parameter:
//
//	@configObj:
//
// return:
//
//	@error: 错误信息
func initLogMgrConfig() error {

	logUtilPlus.DebugLog("开始加载LogMgr")

	logMgr := ConfigYaml.Root.LogMgr

	logMgrConfigObj = &LogMgrConfig{
		GroupId:     logMgr.GroupId,
		GroupSecret: logMgr.GroupSecret,
		ProductId:   logMgr.ProductId,
	}

	return nil
}

// GetLogMgrConfig
//
//	@description: 获取游戏模型数据库链接字符串
//
// parameter:
// return:
//
//	@*LogMgrConfig: 游戏模型数据库链接字符串
func GetLogMgrConfig() *LogMgrConfig {
	return logMgrConfigObj
}
